CREATE FUNCTION dbo.FormatDate
(
  @d DATETIME
)
RETURNS CHAR(10)
AS
BEGIN
  RETURN (SELECT CONVERT(CHAR(10), @d, 120));
END
GO

SELECT TOP (1000) CONVERT(CHAR(10), OrderDate, 120) 
  FROM Sales.SalesOrderHeader ORDER BY SalesOrderID;

SELECT TOP (1000) dbo.FormatDate(OrderDate) 
  FROM Sales.SalesOrderHeader ORDER BY SalesOrderID;

DROP FUNCTION dbo.FormatDate;
GO



SELECT COUNT(*) FROM Sales.SalesOrderHeader 
WHERE YEAR(OrderDate) = 2005 
AND MONTH(OrderDate) = 7;

SELECT COUNT(*) FROM Sales.SalesOrderHeader
WHERE CONVERT(CHAR(6), OrderDate, 110) = '200507';

SELECT COUNT(*) FROM Sales.SalesOrderHeader 
WHERE OrderDate >= '20050701'
  AND OrderDate < '20050801';






